
;**************************** Allgemeine Routinen **************************

;***************************************************************************
;  Rom nach Ram kopieren Z - Rom-Adresse, Y- Ram-Adresse, immer 20 Byte
;
;  Scratch-Reg: ZH, ZL, YH, YL
;***************************************************************************

rom_ram:
		push	TEMP_A
		push	TEMP_B

        ldi     TEMP_A,24

r00:
        lpm		TEMP_B,Z+
        st      Y+,TEMP_B
        dec     TEMP_A
        brne    r00

		pop		TEMP_B
		pop		TEMP_A

        ret

;*********************************************************************
;  Warte 5ms
;
;  Scratch-Reg: -
;*********************************************************************

wait_5ms:
        push    ZL
        push    ZH

        load_p  Z,5000*(CYCLES_PER_US/4)
		        ; 5 mS warten, 4 = Anzahl Befehls-Zyclen vom sbiw + brcc

d_loop:
        sbiw    ZL,1
        brne    d_loop

        pop     ZH
        pop     ZL

        ret

